BimpДовідка

Інші доходи: методи API Bimp

Методи API Bimp для ресурсу «Інші доходи» (/org2/otherIncome/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

Other income documents

МетодЩо робить
POST /org2/otherIncome/api-readA request to obtain detailed information for a particular other income document
POST /org2/otherIncome/api-readListA request to view a list of other income documents
POST /org2/otherIncome/api-createA request to create an other income document
POST /org2/otherIncome/api-updateA request to update an other income document

api-read

POST /org2/otherIncome/api-read

A request to obtain detailed information for a particular other income document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for an other income document

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
mutualSettlementTypestring (uuid)Mutual settlement type
documentSumnumberDocument sum
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
documentNamestringDocument name
sumnumberTotal sum
incomeItemstring (uuid)A unique identifier for the Income Item, obtainable from the /incomeItems/api-readList request
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request
paymentDetailsobject[]
paymentDetails[].sumnumberThe sum for the income item
paymentDetails[].projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
curl -X POST 'https://app.bimpsoft.com/org2/otherIncome/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/otherIncome/api-readList

A request to view a list of other income documents

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтакPagination settings
pagination.offsetnumberтакPagination offset
pagination.countnumberтакPage size (row count)
filtersobjectFilters for other income list
filters.commentstringAn optional text field for any additional notes or comments related to the document
filters.organizationstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request
filters.responsiblestring (uuid)[]A unique identifier for the Author, obtainable from the /user/api-readList request
filters.paymentEntitystring (uuid)[]The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)
[].namestringDocument name
[].numberstringThe document’s number. Use this field if you need to specify a custom number
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].documentSumnumberDocument sum
[].responsiblestring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
[].organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
curl -X POST 'https://app.bimpsoft.com/org2/otherIncome/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":20}}'

api-create

POST /org2/otherIncome/api-create

A request to create an other income document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
incomeItemstring (uuid)такA unique identifier for the Income Item, obtainable from the /incomeItems/api-readList request
paymentEntitystring (uuid)такThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
paymentDetailsobject[]
paymentDetails[].sumnumberтакThe sum for the income item
paymentDetails[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/otherIncome/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","incomeItem":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/otherIncome/api-update

A request to update an other income document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for an other income document
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
incomeItemstring (uuid)A unique identifier for the Income Item, obtainable from the /incomeItems/api-readList request
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
paymentDetailsobject[]
paymentDetails[].sumnumberтакThe sum for the income item
paymentDetails[].projectstring (uuid)такA unique identifier for the Project, obtainable from the /project/api-readList request
paymentDetails[].lineOfBusinessstring (uuid)такA unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
paymentDetails[].commentstringAn optional text field for any additional notes or comments related to the document
numberstringThe document’s number. Use this field if you need to specify a custom number
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
counterpartystring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
chartOfAccountstring (uuid)A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/otherIncome/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.